Subject: Periodic loss of Appletalk router/zones

From: Henry Shiu <[email-masked]>
Date: Mon, 12 Nov 2001 17:11:51 -0800

Hi all,

Every once in a while, my linux box loses contact with the Appletalk 
router.  As a result, it can't get Appletalk zone and address information 
from the router, so it creates its own Appletalk network which can't be 
seen by any of the Macs on the network.  Usually, I find out when I look 
for my linux box in the Chooser and it isn't there.  AFP over TCP/IP 
continues on like a champ.

If I run getzones on my linux box, I get
         atp_resp: Connection timed out

If I restart atalkd with...
         /etc/init.d/atalk restart

If I look in my syslog at this point, it says...
         atalkd[10612]: restart (1.5pre6)
         atalkd[10612]: zip_getnetinfo for eth0
         last message repeated 2 times
         atalkd[10612]: config for no router
         atalkd[10612]: ready 0/0/0
         atalk: atalkd startup succeeded

I continue to get the same thing.  If I try to be clever and kill all my 
Appletalk related processes and then unload and reinstall the module...
         /etc/init.d/atalk stop (although I often kill these processes 
manually)
         rmmod appletalk
         insmod appletalk
         /etc/init.d/atalk start

I get the same thing.

If I reboot, everything comes back great, but for obvious reasons, 
rebooting isn't my first choice as a solution (among other things, it makes 
me feel like I'm using a non *nix OS for my server).

I'm running LinuxPPC 2000 Q4 with the default kernel and 
configuration.  The syslog message as it starts is...
         kernel: NET4: AppleTalk 0.18 for Linux NET4.0

I'm running netatalk 1.5pre6.

On top of all that, the sky just opened up and it sounds like a monsoon 
outside and I'm about to bike home.

Any thoughts?  Thanks!

Henry

Henry Shiu
Assistant Diving Safety Officer
Wrigley Marine Science Center

P.O. Box 5069
One Big Fisherman Cove
Avalon, CA  90704
(310) 510-4002
[email-masked]
http://wrigley.usc.edu/